KDE 4.2 PyKDE API Reference

- KDE's Python API

# Dialog Class Reference

`from PyKDE4.kdeui import *`

Inherits: KDialog → QDialog → QWidget → QObject
Namespace: Sonnet

## Detailed Description

Spellcheck dialog

     Sonnet.Dialog = dlg=new Sonnet.Dialog(new Sonnet.BackgroundChecker(
              this), this);
     //connect signals
     ...
     dlg->setBuffer( someText );
     dlg->show();

You can change buffer inside a slot connected to done() signal and spellcheck will continue with new data automatically.

## Signals

| autoCorrect (QString currentWord, QString replaceWord)
| cancel ()
| done (QString newBuffer)
| languageChanged (QString language)
| misspelling (QString word, int start)
| replace (QString oldWord, int start, QString newWord)
| spellCheckStatus (QString a0)
| stop ()

## Methods

| __init__ (self, Sonnet.BackgroundChecker checker, QWidget parent)
| __init__ (self, Sonnet.Dialog a0)
| activeAutoCorrect (self, bool _active)
| autoCorrect (self, QString currentWord, QString replaceWord)
QString | buffer (self)
| cancel (self)
| done (self, QString newBuffer)
| languageChanged (self, QString language)
| misspelling (self, QString word, int start)
QString | originalBuffer (self)
| replace (self, QString oldWord, int start, QString newWord)
| setBuffer (self, QString a0)
| show (self)
| spellCheckStatus (self, QString a0)
| stop (self)

## Method Documentation

__init__ | ( | self, |
|  | Sonnet.BackgroundChecker | checker,
|  | QWidget | parent
| ) |  |  |

__init__ | ( | self, |
|  | Sonnet.Dialog | a0
| ) |  |  |

activeAutoCorrect | ( | self, |
|  | bool | _active
| ) |  |  |

autoCorrect | ( | self, |
|  | QString | currentWord,
|  | QString | replaceWord
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("autoCorrect(const QString&, const QString&)"), target_slot)`

QString buffer | ( |  | self ) |

cancel | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("cancel()"), target_slot)`

done | ( | self, |
|  | QString | newBuffer
| ) |  |  |

The dialog won't be closed if you setBuffer() in slot connected to this signal

Also emitted after stop() signal

Signal syntax:
  `QObject.connect(source, SIGNAL("done(const QString&)"), target_slot)`

languageChanged | ( | self, |
|  | QString | language
| ) |  |  |

Emitted when the user changes the language used for spellchecking, which is shown in a combobox of this dialog.

Parameters:

  | dictionary | the new language the user selected

Since:
  4.1

Signal syntax:
  `QObject.connect(source, SIGNAL("languageChanged(const QString&)"), target_slot)`

misspelling | ( | self, |
|  | QString | word,
|  | int | start
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("misspelling(const QString&, int)"), target_slot)`

QString originalBuffer | ( |  | self ) |

replace | ( | self, |
|  | QString | oldWord,
|  | int | start,
|  | QString | newWord
| ) |  |  |

Signal syntax:
  `QObject.connect(source, SIGNAL("replace(const QString&, int, const QString&)"), target_slot)`

setBuffer | ( | self, |
|  | QString | a0
| ) |  |  |

show | ( |  | self ) |

spellCheckStatus | ( | self, |
|  | QString | a0
| ) |  |  |

Signal sends when spell checking is finished/stopped/completed

Since:
  4.1

Signal syntax:
  `QObject.connect(source, SIGNAL("spellCheckStatus(const QString&)"), target_slot)`

stop | ( |  | self ) |

Signal syntax:
  `QObject.connect(source, SIGNAL("stop()"), target_slot)`